cum.histo <- function (breaks, freq, prob = F,
	main = paste("Histogram of", deparse(substitute(breaks))),
	xlab = deparse(substitute(breaks)), ylab,
        xlim = range(breaks), frame=F, ...) 
{
	if (prob) {
                freq <- freq/(sum(freq) * diff(breaks))
                if (missing(ylab)) 
                        ylab <- "Relative Frequency"
        }
        else if (missing(ylab)) 
                ylab <- "Frequency"
	plot(breaks, c(freq, 0), type = "n", main = main,
		xlab = xlab, ylab = ylab, xlim = xlim, frame = frame, ...)
	rect(breaks[-length(breaks)], 0, breaks[-1], freq, border = par("fg"))
}
