options(contrasts = c("contr.sum", "contr.poly"))

classic <- matrix(c(210,170,194,110,190,730,406,290),ncol=2)
ed <- gl(2,2)
age <- gl(2,1,4)
print(summary(glm(classic~1,family=binomial)))
print(summary(glm(classic~age,family=binomial)))
print(summary(glm(classic~ed,family=binomial)))
print(summary(glm(classic~age+ed,family=binomial)))
print(summary(glm(classic~age*ed,family=binomial)))

print(summary(glm(classic[1:2,]~gl(2,1),family=binomial)))
print(summary(glm(classic[3:4,]~gl(2,1),family=binomial)))

classic1 <- matrix(c(380,304,920,696),ncol=2)
classic2 <- matrix(c(404,280,596,1020),ncol=2)
print(summary(glm(classic1~gl(2,1),family=binomial)))
print(summary(glm(classic2~gl(2,1),family=binomial)))

knowledge <- matrix(c(31,137,5,29,34,276,5,151,12,126,6,66,24,333,18,476),
	ncol=2)
radio <- gl(2,4)
newspaper <- gl(2,1,8)
lectures <- gl(2,2,8)
print(summary(glm(knowledge~radio*newspaper*lectures,family=binomial)))

if(interactive()){
postscript("fig2-3.eps",height=4,width=5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1,1,type="n",bty="L",xlim=c(0,13),ylim=0:1,xaxt="n",xlab="",
	ylab="Probability")
rect(1:2,0,2:3,c(210/400,190/400), border = par("fg"))
rect(4:5,0,5:6,c(170/900,730/900), border = par("fg"))
rect(7:8,0,8:9,c(194/600,406/600), border = par("fg"))
rect(10:11,0,11:12,c(110/400,290/400), border = par("fg"))
axis(1,0.5:12.5,c("","Yes","No","","Yes","No","","Yes","No","","Yes","No",""))
text(2,0.6,"High ed")
text(5,0.9,"Low ed")
text(8,0.8,"High ed")
text(11,0.8,"Low ed")
text(4,1,"Old age")
text(10,1,"Young age")
dev.off()
}
