options(contrasts = c("contr.sum", "contr.poly"))

freq <- c(108,392,288,197,532,7,49,49,52,269,21,115,126,94,646)
program <- gl(3,5)
class <- gl(5,1,15)

print(summary(glm(freq~program+class,family=poisson)))
print(summary(glm(freq~program*class,family=poisson)))

if(interactive()){
postscript("fig2-6.eps",height=6,width=7.5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1,1,type="n",bty="L",xlim=c(0,19),ylim=0:1,xaxt="n",xlab="",
	ylab="Probability")
rect(0:2,0,1:3,c(108/136,7/136,21/136), border = par("fg"))
rect(4:6,0,5:7,c(392/556,49/556,115/556), border = par("fg"))
rect(8:10,0,9:11,c(288/463,49/556,115/556), border = par("fg"))
rect(12:14,0,13:15,c(197/343,52/343,94/343), border = par("fg"))
rect(16:18,0,17:19,c(532/1447,269/1447,646/1447), border = par("fg"))
axis(1,0.5:18.5,c("A","V","G","","A","V","G","","A","V","G","",
	"A","V","G","","A","V","G"))
text(1,0.9,"Capitalist")
text(5,0.8,"Professional")
text(9,0.8,"Small")
text(9,0.7,"proprietor")
text(13,0.65,"White collar")
text(17,0.5,"Manual worker")
dev.off()
}
