library(gnlm)

if(interactive()){
postscript("fig4-15.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1:50,dexp(1:50,1/25),xlim=c(0,50),ylim=c(0,0.04),
	type="l",bty="L",xlab="y",ylab="Probability density")
dev.off()
}

# in the book, the density in the graphs has units of 20 days
f <- c(28,20,17,11,14,6,13,17,16,11,13,3,4,17)
y <- c(0,20,40,60,80,100,120,140,200,260,320,380,440,500,1500)
if(interactive()){
postscript("fig4-16.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f,"exponential",breaks=T,plot=interactive(),main="",xlab="Days",
	xlim=c(0,500),ylim=c(0,0.01),bty="L")
if(interactive()){
dev.off()
}

f1 <- c(22,17,13,8,14,6,9,12,11,4,4,2,0,2)
if(interactive()){
postscript("fig4-17.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
fit.dist(y,f1,"exponential",breaks=T,plot=interactive(),main="",xlab="Days",
	xlim=c(0,500),ylim=c(0,0.01),bty="L")
if(interactive()){
dev.off()
}

f2 <- c(7,3,4,3,0,0,4,5,5,7,9,1,4,15)
fit.dist(y,f2,"exponential",breaks=T,plot=interactive(),main="",xlab="Days",
	xlim=c(0,500),ylim=c(0,0.01),bty="L")
