options(contrasts = c("contr.sum", "contr.poly"))

library(event)

y <- as.integer(scan("accident.dat",skip=2)>0)

if(interactive()){
postscript("fig6-1.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
cprocess(events=y,bty="L",xlim=c(0,250),ylim=c(0,75),
	xlab="Days",ylab="Accidents")
dev.off()
}

print(z2 <- table(y[1:222],y[2:223]))
print(z3 <- table(y[1:221],y[2:222],y[3:223]))
z2/apply(z2,1,sum)
t(z3[,,1])/apply(t(z3[,,1]),1,sum)
t(z3[,,2])/apply(t(z3[,,2]),1,sum)

summary(glm(z2~1,family=binomial))
summary(glm(z2~gl(2,1),family=binomial))
lag1 <- gl(2,2)
lag2 <- gl(2,1,4)
summary(glm(matrix(z3,ncol=2)~1,family=binomial))
summary(glm(matrix(z3,ncol=2)~lag1*lag2,family=binomial))
summary(glm(matrix(z3,ncol=2)~lag1,family=binomial))
summary(glm(matrix(z3,ncol=2)~lag2,family=binomial))

f <- matrix(data=c(118,12,7,23,14,2127,86,130,8,69,2548,107,12,110,88,7712),
	nrow=4,ncol=4,byrow=T)
f/apply(f,1,sum)
summary(glm(as.vector(f)~gl(4,1,16)+gl(4,4),family=poisson))
